Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.transform
Class HereFunctionDOMXPath

`java.lang.Object
org.jaxen.BaseXPath
org.jaxen.dom.DOMXPath
oracle.security.xmlsec.transform.HereFunctionDOMXPath`

All Implemented Interfaces:
  java.io.Serializable, org.jaxen.XPath

public class HereFunctionDOMXPath
extends org.jaxen.dom.DOMXPath

Internal use only. Adds support for the `here()` function to the jaxen XPath DOM implementation.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`HereFunctionDOMXPath(java.lang.String xpathExpr)` Creates a new `HereFunctionDOMXPath` instance.

Method Summary
`protected org.jaxen.ContextSupport` | `getContextSupport()` Retrieve the `ContextSupport` aggregation of `NamespaceContext`, `FunctionContext`, `VariableContext`, and `Navigator`.
`java.lang.Object` | `getXPathNode()` Returns the document node containing the XPath expression.
`void` | `setXPathNode(java.lang.Object xpathNode)` Sets the document node containing the XPath expression.

Methods inherited from class org.jaxen.BaseXPath
`addNamespace, booleanValueOf, createFunctionContext, createNamespaceContext, createVariableContext, debug, evaluate, getContext, getFunctionContext, getNamespaceContext, getNavigator, getRootExpr, getVariableContext, numberValueOf, selectNodes, selectNodesForContext, selectSingleNode, selectSingleNodeForContext, setFunctionContext, setNamespaceContext, setVariableContext, stringValueOf, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HereFunctionDOMXPath

    public HereFunctionDOMXPath(java.lang.String xpathExpr)
                         throws org.jaxen.JaxenException

  Creates a new `HereFunctionDOMXPath` instance.

Method Detail

### getContextSupport

    protected org.jaxen.ContextSupport getContextSupport()

  Retrieve the `ContextSupport` aggregation of `NamespaceContext`, `FunctionContext`, `VariableContext`, and `Navigator`.
  Returns:
    A `HereFunctionContextSupport` instance.

### setXPathNode

    public void setXPathNode(java.lang.Object xpathNode)

  Sets the document node containing the XPath expression. Support is currently limited to JAXP 1.1 compliant DOM2 implementations.
  Parameters:
    `xpathNode` - The document node containing the XPath expression. Must be a `Text`, `Attr` or `ProcessingInstruction` node.

### getXPathNode

    public java.lang.Object getXPathNode()

  Returns the document node containing the XPath expression. Support is currently limited to JAXP 1.1 compliant DOM2 implementations.
  Returns:
    The document node containing the XPath expression, or `null` if none is set. The node will be a Text, Attribute or ProcessingInstruction node.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.